> For the complete documentation index, see [llms.txt](https://documentation.taskmaverick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://documentation.taskmaverick.com/developers/organization-missions.md).

# Organization Missions

## POST /organization/missions/schedule-department

> Schedule department mission.

```json
{"openapi":"3.0.1","info":{"title":"TaskMaverick API","version":"v1"},"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.taskmaverick-stage.com/connect/authorize","tokenUrl":"https://auth.taskmaverick-stage.com/connect/token","scopes":{"api":"TaskMaverick API"}}}}},"schemas":{"TaskMaverick.OrganizationLibrary.Commands.ScheduleDepartmentMissionCommand":{"type":"object","properties":{"permissionKey":{"type":"string","nullable":true,"readOnly":true},"missionCorrelationId":{"type":"string","format":"uuid"},"schedule":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.ScheduleModel"},"variablesData":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.ScheduleVariablesDataModel"},"assignments":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.CreateOrEditScheduleDepartmentAssignmentModel"},"nullable":true},"missionLimitConfiguration":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.MissionLimitConfigurationModel"}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.ScheduleModel":{"type":"object","properties":{"endDate":{"type":"integer","format":"int64","nullable":true},"datePattern":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DatePatternModelBase"},"timePattern":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.TimePatternModelBase"},"startDate":{"type":"integer","format":"int64"}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.DatePatternModelBase":{"type":"object","oneOf":[{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DateRepeatDailyModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DateRepeatMonthlyEachDaysModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DateRepeatMonthlyEachWeekModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DateRepeatNeverModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DateRepeatWeeklyModel"}],"additionalProperties":false,"description":"Date pattern model base.","discriminator":{"propertyName":"Discriminator","mapping":{"DateRepeatDailyModel":"#/components/schemas/DateRepeatDailyModel","DateRepeatMonthlyEachDaysModel":"#/components/schemas/DateRepeatMonthlyEachDaysModel","DateRepeatMonthlyEachWeekModel":"#/components/schemas/DateRepeatMonthlyEachWeekModel","DateRepeatNeverModel":"#/components/schemas/DateRepeatNeverModel","DateRepeatWeeklyModel":"#/components/schemas/DateRepeatWeeklyModel"}}},"TaskMaverick.Scheduling.Commands.Models.DateRepeatDailyModel":{"type":"object","properties":{"frequency":{"type":"integer","description":"Frequency.","format":"int32"}},"additionalProperties":false,"description":"Date repeat daily model."},"TaskMaverick.Scheduling.Commands.Models.DateRepeatMonthlyEachDaysModel":{"type":"object","properties":{"frequency":{"type":"integer","description":"Frequency.","format":"int32"},"daysOfMonth":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Days of the month.","nullable":true}},"additionalProperties":false,"description":"Date repeat monthly each days model."},"TaskMaverick.Scheduling.Commands.Models.DateRepeatMonthlyEachWeekModel":{"type":"object","properties":{"frequency":{"type":"integer","description":"Frequency.","format":"int32"},"weekOfMonth":{"enum":["First","Second","Third","Fourth","Fifth","Last"],"type":"integer","description":"Week of month.","format":"int32"},"dayOfWeek":{"enum":["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],"type":"integer","description":"Day of week.","format":"int32"}},"additionalProperties":false,"description":"Date repeat monthly each week model."},"TaskMaverick.Scheduling.Commands.Models.DateRepeatNeverModel":{"type":"object","additionalProperties":false,"description":"Date repeat never model."},"TaskMaverick.Scheduling.Commands.Models.DateRepeatWeeklyModel":{"type":"object","properties":{"frequency":{"type":"integer","description":"Frequency.","format":"int32"},"daysOfWeek":{"type":"array","items":{"enum":["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],"type":"integer","format":"int32"},"description":"Days of the week.","nullable":true}},"additionalProperties":false,"description":"Date repeat weekly model."},"TaskMaverick.Scheduling.Commands.Models.TimePatternModelBase":{"type":"object","oneOf":[{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.TimeRepeatCustomModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.TimeRepeatMinutesModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.TimeRepeatOnceModel"}],"additionalProperties":false,"description":"Time pattern model base.","discriminator":{"propertyName":"Discriminator","mapping":{"TimeRepeatCustomModel":"#/components/schemas/TimeRepeatCustomModel","TimeRepeatMinutesModel":"#/components/schemas/TimeRepeatMinutesModel","TimeRepeatOnceModel":"#/components/schemas/TimeRepeatOnceModel"}}},"TaskMaverick.Scheduling.Commands.Models.TimeRepeatCustomModel":{"type":"object","properties":{"times":{"type":"array","items":{"type":"integer","format":"int64"},"description":"Times.","nullable":true}},"additionalProperties":false,"description":"Time repeat custom model."},"TaskMaverick.Scheduling.Commands.Models.TimeRepeatMinutesModel":{"type":"object","properties":{"minutesFrequency":{"type":"integer","format":"int32"},"startTime":{"type":"integer","format":"int64"},"endTime":{"type":"integer","format":"int64"},"basedOnPrevious":{"type":"boolean"}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.TimeRepeatOnceModel":{"type":"object","properties":{"startTime":{"type":"integer","description":"Start time.","format":"int64"}},"additionalProperties":false,"description":"Time repeat once model."},"TaskMaverick.Scheduling.Commands.Models.ScheduleVariablesDataModel":{"type":"object","properties":{"activityReferenceRelations":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.ActivityReferenceRelationModel"},"nullable":true}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.ActivityReferenceRelationModel":{"type":"object","properties":{"activityId":{"type":"string","format":"uuid"},"referenceId":{"type":"string","format":"uuid","nullable":true},"referenceDataSourceType":{"enum":["ReferenceDirectory","PersonDirectory"],"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.CreateOrEditScheduleDepartmentAssignmentModel":{"type":"object","properties":{"recordVersion":{"type":"integer","format":"int32","nullable":true},"unitReferenceId":{"type":"string","format":"uuid","nullable":true},"referenceDataSourceType":{"enum":["ReferenceDirectory","PersonDirectory"],"type":"integer","format":"int32","nullable":true},"departmentId":{"type":"string","format":"uuid"}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.MissionLimitConfigurationModel":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Indicates whether the mission limit is enabled."},"period":{"enum":["Indefinite","Day","Week","Month","D7","D30","RollingWindow"],"type":"integer","description":"Defines the time period for which the mission instance count limit is applied.","format":"int32"},"limitPeriodRollingWindowDays":{"type":"integer","description":"Defines the number of days for the rolling window when Period is set to RollingWindow.","format":"int32","nullable":true},"maxInstanceCount":{"type":"integer","description":"Defines the maximum number of mission instances that can be created within the specified time period.","format":"int32"}},"additionalProperties":false,"description":"Limit configuration for a mission, which defines the maximum number of mission instances that can be executed within a certain time period."}}},"paths":{"/organization/missions/schedule-department":{"post":{"tags":["OrganizationMissions"],"summary":"Schedule department mission.","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/TaskMaverick.OrganizationLibrary.Commands.ScheduleDepartmentMissionCommand"}},"application/json":{"schema":{"$ref":"#/components/schemas/TaskMaverick.OrganizationLibrary.Commands.ScheduleDepartmentMissionCommand"}},"text/json":{"schema":{"$ref":"#/components/schemas/TaskMaverick.OrganizationLibrary.Commands.ScheduleDepartmentMissionCommand"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/TaskMaverick.OrganizationLibrary.Commands.ScheduleDepartmentMissionCommand"}}}},"responses":{"200":{"description":"OK"}},"parameters":[{"in":"header","name":"x-api-key","required":true,"description":"The API key required to access endpoints. It can be retrieved from the Taskmaverick web portal.","schema":{"type":"string"}}]}}}}
```

## POST /organization/missions/schedule-personal

> Schedule personal mission.

```json
{"openapi":"3.0.1","info":{"title":"TaskMaverick API","version":"v1"},"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.taskmaverick-stage.com/connect/authorize","tokenUrl":"https://auth.taskmaverick-stage.com/connect/token","scopes":{"api":"TaskMaverick API"}}}}},"schemas":{"TaskMaverick.OrganizationLibrary.Commands.SchedulePersonalMissionCommand":{"type":"object","properties":{"permissionKey":{"type":"string","nullable":true,"readOnly":true},"missionCorrelationId":{"type":"string","format":"uuid"},"schedule":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.ScheduleModel"},"variablesData":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.ScheduleVariablesDataModel"},"assignments":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.CreateOrEditSchedulePersonalAssignmentModel"},"nullable":true},"missionLimitConfiguration":{"$ref":"#/components/schemas/Optional.Option`1[[TaskMaverick.Scheduling.Commands.Models.MissionLimitConfigurationModel, TaskMaverick.Scheduling.Commands, Version=1.0.8357.0, Culture=neutral, PublicKeyToken=null]]"}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.ScheduleModel":{"type":"object","properties":{"endDate":{"type":"integer","format":"int64","nullable":true},"datePattern":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DatePatternModelBase"},"timePattern":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.TimePatternModelBase"},"startDate":{"type":"integer","format":"int64"}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.DatePatternModelBase":{"type":"object","oneOf":[{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DateRepeatDailyModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DateRepeatMonthlyEachDaysModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DateRepeatMonthlyEachWeekModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DateRepeatNeverModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.DateRepeatWeeklyModel"}],"additionalProperties":false,"description":"Date pattern model base.","discriminator":{"propertyName":"Discriminator","mapping":{"DateRepeatDailyModel":"#/components/schemas/DateRepeatDailyModel","DateRepeatMonthlyEachDaysModel":"#/components/schemas/DateRepeatMonthlyEachDaysModel","DateRepeatMonthlyEachWeekModel":"#/components/schemas/DateRepeatMonthlyEachWeekModel","DateRepeatNeverModel":"#/components/schemas/DateRepeatNeverModel","DateRepeatWeeklyModel":"#/components/schemas/DateRepeatWeeklyModel"}}},"TaskMaverick.Scheduling.Commands.Models.DateRepeatDailyModel":{"type":"object","properties":{"frequency":{"type":"integer","description":"Frequency.","format":"int32"}},"additionalProperties":false,"description":"Date repeat daily model."},"TaskMaverick.Scheduling.Commands.Models.DateRepeatMonthlyEachDaysModel":{"type":"object","properties":{"frequency":{"type":"integer","description":"Frequency.","format":"int32"},"daysOfMonth":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Days of the month.","nullable":true}},"additionalProperties":false,"description":"Date repeat monthly each days model."},"TaskMaverick.Scheduling.Commands.Models.DateRepeatMonthlyEachWeekModel":{"type":"object","properties":{"frequency":{"type":"integer","description":"Frequency.","format":"int32"},"weekOfMonth":{"enum":["First","Second","Third","Fourth","Fifth","Last"],"type":"integer","description":"Week of month.","format":"int32"},"dayOfWeek":{"enum":["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],"type":"integer","description":"Day of week.","format":"int32"}},"additionalProperties":false,"description":"Date repeat monthly each week model."},"TaskMaverick.Scheduling.Commands.Models.DateRepeatNeverModel":{"type":"object","additionalProperties":false,"description":"Date repeat never model."},"TaskMaverick.Scheduling.Commands.Models.DateRepeatWeeklyModel":{"type":"object","properties":{"frequency":{"type":"integer","description":"Frequency.","format":"int32"},"daysOfWeek":{"type":"array","items":{"enum":["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],"type":"integer","format":"int32"},"description":"Days of the week.","nullable":true}},"additionalProperties":false,"description":"Date repeat weekly model."},"TaskMaverick.Scheduling.Commands.Models.TimePatternModelBase":{"type":"object","oneOf":[{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.TimeRepeatCustomModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.TimeRepeatMinutesModel"},{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.TimeRepeatOnceModel"}],"additionalProperties":false,"description":"Time pattern model base.","discriminator":{"propertyName":"Discriminator","mapping":{"TimeRepeatCustomModel":"#/components/schemas/TimeRepeatCustomModel","TimeRepeatMinutesModel":"#/components/schemas/TimeRepeatMinutesModel","TimeRepeatOnceModel":"#/components/schemas/TimeRepeatOnceModel"}}},"TaskMaverick.Scheduling.Commands.Models.TimeRepeatCustomModel":{"type":"object","properties":{"times":{"type":"array","items":{"type":"integer","format":"int64"},"description":"Times.","nullable":true}},"additionalProperties":false,"description":"Time repeat custom model."},"TaskMaverick.Scheduling.Commands.Models.TimeRepeatMinutesModel":{"type":"object","properties":{"minutesFrequency":{"type":"integer","format":"int32"},"startTime":{"type":"integer","format":"int64"},"endTime":{"type":"integer","format":"int64"},"basedOnPrevious":{"type":"boolean"}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.TimeRepeatOnceModel":{"type":"object","properties":{"startTime":{"type":"integer","description":"Start time.","format":"int64"}},"additionalProperties":false,"description":"Time repeat once model."},"TaskMaverick.Scheduling.Commands.Models.ScheduleVariablesDataModel":{"type":"object","properties":{"activityReferenceRelations":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Scheduling.Commands.Models.ActivityReferenceRelationModel"},"nullable":true}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.ActivityReferenceRelationModel":{"type":"object","properties":{"activityId":{"type":"string","format":"uuid"},"referenceId":{"type":"string","format":"uuid","nullable":true},"referenceDataSourceType":{"enum":["ReferenceDirectory","PersonDirectory"],"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"TaskMaverick.Scheduling.Commands.Models.CreateOrEditSchedulePersonalAssignmentModel":{"type":"object","properties":{"recordVersion":{"type":"integer","format":"int32","nullable":true},"unitReferenceId":{"type":"string","format":"uuid","nullable":true},"referenceDataSourceType":{"enum":["ReferenceDirectory","PersonDirectory"],"type":"integer","format":"int32","nullable":true},"employeeId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Optional.Option`1[[TaskMaverick.Scheduling.Commands.Models.MissionLimitConfigurationModel, TaskMaverick.Scheduling.Commands, Version=1.0.8357.0, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"hasValue":{"type":"boolean","readOnly":true}},"additionalProperties":false}}},"paths":{"/organization/missions/schedule-personal":{"post":{"tags":["OrganizationMissions"],"summary":"Schedule personal mission.","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/TaskMaverick.OrganizationLibrary.Commands.SchedulePersonalMissionCommand"}},"application/json":{"schema":{"$ref":"#/components/schemas/TaskMaverick.OrganizationLibrary.Commands.SchedulePersonalMissionCommand"}},"text/json":{"schema":{"$ref":"#/components/schemas/TaskMaverick.OrganizationLibrary.Commands.SchedulePersonalMissionCommand"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/TaskMaverick.OrganizationLibrary.Commands.SchedulePersonalMissionCommand"}}}},"responses":{"200":{"description":"OK"}},"parameters":[{"in":"header","name":"x-api-key","required":true,"description":"The API key required to access endpoints. It can be retrieved from the Taskmaverick web portal.","schema":{"type":"string"}}]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://documentation.taskmaverick.com/developers/organization-missions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
